Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "a55e7da9-e6c3-4e5b-853e-0619a07de794",
"date_start": "2026-11-12T09:33:22.1510948+00:00",
"date_end": "2026-11-12T09:33:22.1641093+00:00",
"modified_dateutc": "2026-11-12T09:33:22.1641093+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "341aa2d4-8327-4ae8-ada9-a075a5e33f47",
"user_code": "sample string 8",
"user": {
"id": "0e6beebe-8ae7-4a04-a4b8-d8e5586e9710",
"db_language_id": "83d84224-f2c1-44ff-a0a4-b9e3786c2a9f",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-12T09:33:22.1641093+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "5abb57bb-ce16-416a-ba46-3f11d973cd12",
"sales_organization": {
"id": "39ad6fe0-eaf2-4a1e-899f-35a4de927eb1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "eb299e9a-d5b1-438e-a5b9-0bd3572ee6c1",
"db_currency_id": "691e51a9-dffc-4418-8a23-de1ae5f250e7",
"db_language_id": "165ab256-570f-46f6-9211-c4ac92556d96",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T09:33:22.1641093+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "161080ed-324d-4ca4-bb5b-b2c582fd5fbd",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "c0bcd2dd-7f14-4690-ae65-dbc4a19cfd80",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-12T09:33:22.1641093+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "4c1df25e-1e75-44c2-819d-d57cceb30bdc"
},
"user_unavailability_type_id": "961be87b-8409-4844-b374-adee9492276a",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "5bf09045-02f6-432c-8c1f-e11d41e3e898",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "f8ac608d-2f93-4a9f-bf36-ca66d99766c2",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "39ad6fe0-eaf2-4a1e-899f-35a4de927eb1",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "eb299e9a-d5b1-438e-a5b9-0bd3572ee6c1",
"db_currency_id": "691e51a9-dffc-4418-8a23-de1ae5f250e7",
"db_language_id": "165ab256-570f-46f6-9211-c4ac92556d96",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T09:33:22.1641093+00:00"
},
"modified_dateutc": "2026-11-12T09:33:22.1641093+00:00"
}
}